VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Tutorial"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Const url As String = "http://38.203.242.4/i3localweb/ProcessQuote.asp?txtQuery="

Private Function processQuote(ByVal Symbol As String, _
                         ByRef quotedate As String, _
                         ByRef price As String, _
                         ByRef change As String, _
                         ByRef percent As String, _
                         ByRef volume As String, _
                         ByRef errinfo As String) As Boolean
Dim wt As WireTransfer
Dim sResult As String
Dim xDoc As DOMDocument30
On Error GoTo ErrorHandler
    getQuote = False

    Set wt = New WireTransfer
    sResult = wt.GetPageByURI(url + Symbol)
    Set wt = Nothing

    sResult = Replace(sResult, "xmlns='x-schema:quotesSchema.xml'", "")

    Set xDoc = New DOMDocument30
    xDoc.loadXML sResult
    
    If xDoc.xml <> "" Then
        quotedate = xDoc.selectSingleNode("//date").nodeTypedValue
        price = xDoc.selectSingleNode("//price").nodeTypedValue
        change = xDoc.selectSingleNode("//change").nodeTypedValue
        percent = xDoc.selectSingleNode("//percent").nodeTypedValue
        volume = xDoc.selectSingleNode("//volume").nodeTypedValue
    Else
        quotedate = vbNullString
        price = vbNullString
        change = vbNullString
        percent = vbNullString
        volume = vbNullString
        errinfo = xDoc.parseError.reason
    End If
    
    Set xDoc = Nothing
    
    getQuote = True
    Exit Function
ErrorHandler:
    Set wt = Nothing
    Set xDoc = Nothing
    errinfo = Err.Description
    getQuote = False
End Function

Public Function getQuote(ByVal Symbol As String, _
                         ByRef quotedate As String, _
                         ByRef price As String, _
                         ByRef change As String, _
                         ByRef percent As String, _
                         ByRef volume As String, _
                         ByRef errinfo As String) As Boolean
        getQuote = processQuote(Symbol, quotedate, price, change, percent, volume, errinfo)
End Function


Public Function vargetQuote(ByVal Symbol As String, _
                            ByRef quotedate As Variant, _
                            ByRef price As Variant, _
                            ByRef change As Variant, _
                            ByRef percent As Variant, _
                            ByRef volume As Variant, _
                            ByRef errinfo As Variant) As Boolean
        vargetQuote = processQuote(Symbol, quotedate, price, change, percent, volume, errinfo)
End Function

